CREATE TABLE fun_bu_service_providers_ (
    CLIENT_BU_ORG_ID          NUMBER(18, 0) ,
    UPSTREAM_FUNCTION_ID      NUMBER(18, 0) ,
    DOWNSTREAM_FUNCTION_ID    NUMBER(18, 0) ,
    PROVIDER_BU_ORG_ID        NUMBER(18, 0) ,
    ANY_PROVIDERS_FLAG        VARCHAR2(4)   ,
    DEFAULT_FLAG              VARCHAR2(4)   ,
    ACTIVE_FLAG               VARCHAR2(4)   ,
    OBJECT_VERSION_NUMBER     NUMBER(9, 0)  ,
    CREATED_BY                VARCHAR2(256) ,
    CREATION_DATE             TIMESTAMP(6)  ,
    LAST_UPDATED_BY           VARCHAR2(256) ,
    LAST_UPDATE_DATE          TIMESTAMP(6)  ,
    LAST_UPDATE_LOGIN         VARCHAR2(128) ,
    AUDIT_ACTION_TYPE_        VARCHAR2(40)  ,
    AUDIT_CHANGE_BIT_MAP_     VARCHAR2(4000),
    AUDIT_IMPERSONATOR_       VARCHAR2(256) ,
    CLIENT_BU_ORG_ID          NUMBER(18, 0) ,
    UPSTREAM_FUNCTION_ID      NUMBER(18, 0) ,
    DOWNSTREAM_FUNCTION_ID    NUMBER(18, 0) ,
    PROVIDER_BU_ORG_ID        NUMBER(18, 0) ,
    ANY_PROVIDERS_FLAG        VARCHAR2(4)   ,
    DEFAULT_FLAG              VARCHAR2(4)   ,
    ACTIVE_FLAG               VARCHAR2(4)   ,
    OBJECT_VERSION_NUMBER     NUMBER(9, 0)  ,
    CREATED_BY                VARCHAR2(256) ,
    CREATION_DATE             TIMESTAMP(6)  ,
    LAST_UPDATED_BY           VARCHAR2(256) ,
    LAST_UPDATE_DATE          TIMESTAMP(6)  ,
    LAST_UPDATE_LOGIN         VARCHAR2(128) ,
    AUDIT_ACTION_TYPE_        VARCHAR2(40)  ,
    AUDIT_CHANGE_BIT_MAP_     VARCHAR2(4000),
    AUDIT_IMPERSONATOR_       VARCHAR2(256) ,
    CONSTRAINT pk_fun_bu_service_providers_ PRIMARY KEY (CLIENT_BU_ORG_ID, UPSTREAM_FUNCTION_ID, DOWNSTREAM_FUNCTION_ID, PROVIDER_BU_ORG_ID, LAST_UPDATED_BY, LAST_UPDATE_DATE, CLIENT_BU_ORG_ID, UPSTREAM_FUNCTION_ID, DOWNSTREAM_FUNCTION_ID, PROVIDER_BU_ORG_ID, LAST_UPDATED_BY, LAST_UPDATE_DATE)
);
